Bug 15141 - Linker (ld.bfd) option "--trace-symbol" does not work with LTO
Summary: Linker (ld.bfd) option "--trace-symbol" does not work with LTO
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: ld (show other bugs)
Version: 2.24
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 12:24 UTC by Dmitry Gorbachev
Modified: 2013-02-16 18:25 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
Testcase (237 bytes, text/plain)
2013-02-13 12:24 UTC, Dmitry Gorbachev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Gorbachev 2013-02-13 12:24:16 UTC
Created attachment 6869 [details]
Testcase

With this testcase, ld.gold gives:

main.o: reference to foo
foo.o: definition of foo

But nothing from ld.bfd.
Comment 1 H.J. Lu 2013-02-15 19:31:24 UTC
A patch is posted at

http://sourceware.org/ml/binutils/2013-02/msg00198.html
Comment 2 cvs-commit@gcc.gnu.org 2013-02-16 17:50:27 UTC
CVSROOT:	/cvs/src
Module name:	src
Changes by:	hjl@sourceware.org	2013-02-16 17:50:21

Modified files:
	ld             : ChangeLog plugin.c 

Log message:
	Also trace symbol from the IR bfd
	
	PR ld/15141
	* plugin.c (plugin_notice): Also trace symbol from the IR bfd.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/ld/ChangeLog.diff?cvsroot=src&r1=1.2555&r2=1.2556
http://sourceware.org/cgi-bin/cvsweb.cgi/src/ld/plugin.c.diff?cvsroot=src&r1=1.47&r2=1.48
Comment 3 H.J. Lu 2013-02-16 18:25:58 UTC
Fixed.